Support

Expand all | Collapse all

When we finally upgrade our Jama to the latest version

  • 1.  When we finally upgrade our Jama to the latest version

    Posted 07-18-2017 11:03
    I am reaching out as part of my initial research for the eventual upgrade.

    We are currently at 2015_2.

    Once a correctly provisioned Linux server has been created, and we are running the latest Jama, what are the import steps that need to be taken?

    I know that since our current Jama (Contour) has a database on a 5.5.35 MySQL Community Edition, I have to go in steps to get that database to the most current MySQL, which is 5.7.xx.

    This is going to be a major undertaking so I am getting as much info as possible.

    Respectfully,

    James

    ------------------------------
    James Krych
    GRSi
    SC
    ------------------------------


  • 2.  RE: When we finally upgrade our Jama to the latest version

    Posted 07-18-2017 13:50
    Hi James,

    I want to make sure you've seen all the community articles about the process-they can be found here. The article for IT admins will likely help, and once you get to installation, the troubleshooting doc is helpful.

    As far as your question about importing goes, I'd check over this document about upgrading from 2015.x to 8.x; the steps will vary depending on the database and OS combination you are migrating from.

    After looking these over and provisioning your server for Jama 8's requirements, I would submit a ticket to support to schedule a one-hour pre-upgrade consultation. We can then make sure your environment is sound and answer any questions you have about the upgrading process.

    ------------------------------
    Kristina King
    Jama Software
    ------------------------------



  • 3.  RE: When we finally upgrade our Jama to the latest version

    Posted 07-19-2017 04:25
    Many thanks as always, Kristina!

    James

    ------------------------------
    James Krych
    GRSi
    SC
    ------------------------------



  • 4.  RE: When we finally upgrade our Jama to the latest version

    Posted 07-20-2017 11:28
    Just thinking out loud...

    Will our current version of Jama work with a 5.7.xx MySQL database?

    Best,

    James

    ------------------------------
    James Krych
    GRSi
    SC
    ------------------------------



  • 5.  RE: When we finally upgrade our Jama to the latest version

    Posted 07-20-2017 11:36
    Or if need be as an intermediate step, will it work a 5.6.xx MySQL DB?

    James

    ------------------------------
    James Krych
    GRSi
    SC
    ------------------------------



  • 6.  RE: When we finally upgrade our Jama to the latest version

    Posted 07-20-2017 12:24
    It will work with 5.6, yes. See the supported software requirements for 2015.2+.

    ------------------------------
    Kristina King
    Jama Software
    ------------------------------